<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_0c5123aa744f69" . "bbc0e8b3ea2f6e8" . "47d" => base64_decode("bG" . "1z" . "Zw" . "=="), "_678ed86" . "8ef6e353" . "82774deb" . "bcc39414" . "c" => base64_decode("Y29tbW9uLmhlYWRlci5wZ" . "W9wbGU="), "_24e0e36600d6af77" . "406a44bb618a6253" => base64_decode("dXNlcg" . "=="), "_8ff442d9" . "55c119a51" . "92572ab31" . "711818" => base64_decode("YXBwX" . "3Blb3" . "BsZQ=" . "="));
use Claromentis\People\PeopleApplication as PeoplePeopleApplication;
use Claromentis\Search\ItemType;






class PeopleApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_24e0e36600d6af77" . "406a44bb618a6253"] => function () {
            return new ItemType\User();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa744f69bbc0e8b3ea2f6e84" . "7d"]($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_678ed868ef6e35382774debbcc" . "39414c"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8ff442d955c119a5192572ab" . "31711818"];
    }
    public function GetIcon() : string
    {
        return PeoplePeopleApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_24e0e36" . "600d6af7" . "7406a44b" . "b618a625" . "3"]];
    }
}